## renaissance 0.9.0

=== debian/changelog ===
renaissance (0.9.0-6) unstable; urgency=medium

  * Upload to unstable.
  * debian/control (librenaissance-dev, renaissance-dev-tools): Add
    missing Breaks/Replaces; thanks Helmut Grohne (Closes: #1095716).
    Make both packages recommend each other.
    (renaissance-doc): Recommend librenaissance-dev.
    (Build-Depends): Require gnustep-make (>= 2.9.3-2) for LATEX2HTML.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/rules: Do not define LATEX2HTML in various targets.
  * debian/patches/gui-0.24.patch: Mark as Forwarded: not-needed; it's an
    upstream patch but UDD cannot figure it out.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 06 Mar 2025 07:20:28 +0200

renaissance (0.9.0-5) experimental; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Remove cdbs, replace debhelper with
    debhelper-compat (= 13), require libgnustep-gui-dev (>= 0.31.1-9) for
    the multiarch layout.  Add dpkg-build-api (= 1).
    (Build-Depends-Indep): Add latex2html <!nodoc>.
    (Depends): Remove ${gnustep:Depends}; obsolete since ages.
    (Description): Fix typo present in all binary packages.
    (librenaissance0-dev): Make it a transitional package.
    (librenaissance-dev, renaissance-dev-tools): New packages.  Move apps
    to a separate package so that the -dev package can be M-A: same.
    (renaissance-doc): Mark as Multi-Arch: foreign.
    (Homepage): Set to gnustep.org; Renaissance is official part of it.
    (Standards-Version): Claim compliance with 4.7.0 as of this release.
  * debian/rules: Rewrite from scratch for dh.
  * debian/compat: Delete.
  * debian/renaissance-doc.dirs: Likewise; unnecessary with compat 13.
  * debian/renaissance-doc.examples: New file.
  * debian/renaissance-dev-tools.install: Likewise.
  * debian/renaissance-dev-tools.manpages: Likewise.
  * debian/librenaissance-dev.install: Likewise.
  * debian/librenaissance0.install: Likewise
  * debian/librenaissance0-dev.manpages: Rename as...
  * debian/librenaissance-dev.manpages: ...and remove apps' manpages.
  * debian/librenaissance0.docs: Rename as...
  * debian/renaissance-doc.docs: ...and remove duplicate README.  Add
    usr/share/doc/* for the manual and the tutorial.
  * debian/renaissance-doc.doc-base.renaissance-manual: Add PostScript.
  * debian/renaissance-doc.doc-base.renaissance-tutorial: Likewise.
  * debian/patches/gui-0.24.patch: Fix patch metadata.
  * debian/patches/link-libs.patch: Likewise.
  * debian/patches/GSMarkupLocalizableStrings-force-linking.patch: New;
    force linking to fix an exception (Closes: #1095596).
  * debian/upstream/metadata: New file.
  * debian/watch: Upgrade to version 4; use HTTPS.
  * debian/renaissance.7: Typo fix.
  * debian/copyright: Use HTTPS for Format.  Change Upstream-Contact as
    Nicola Pero is no longer responsible.  Add comment that the library is
    under LGPL-2.1+ but the license notices in the source files have not
    been updated.  Add new blurb for files under public domain in
    Examples/Applications/Templates.  Switch Debian packaging license from
    GPL-2+ to LGPL-2.1+ because otherwise some patches (technically)
    upgrade the library's license to GPL.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 09 Feb 2025 18:40:25 +0200

renaissance (0.9.0-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix lintian: weak-dependency-on-misc-depends.

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 11:34:04 +0200

renaissance (0.9.0-4.2) experimental; urgency=medium

  * Non-maintainer upload.

  [ Yavor Doganov ]
  * debian/source/format: Switch to 3.0 (quilt). (Closes: #1007401)
  * debian/control (Build-Depends): Remove quilt.  Require
    libgnustep-gui-dev (>= 0.24).
    (Vcs-Arch): Replace with Vcs-Git and Vcs-Browser. (Closes: #1025511)
    (Replaces): Remove, not needed anymore.
    (Standards-Version): Compliant with 3.9.5.
  * debian/rules: Don't include patchsys-quilt.mk.  Enable hardening.
    Remove the shlibs.local hack, not needed.
    (install/librenaissance0-dev): Delete useless .desktop files.
  * debian/patches/gui-0.24.patch: New, adapt to GNUstep API changes
    (Closes: #749765).
  * debian/patches/series: Update.
  * debian/README.source:
  * debian/librenaissance0-dev.shlibs.local: Delete.
  * debian/watch: Track ftp.gnustep.org.
  * debian/copyright: Switch to format 1.0.

 -- Bastian Germann <bage@debian.org>  Wed, 09 Aug 2023 18:28:58 +0200

renaissance (0.9.0-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:36:32 +0100

renaissance (0.9.0-4) unstable; urgency=low

  * debian/rules (OPTFLAG): No longer define; rework noopt handling to be
    compatible with gnustep-make/2.4.x (Closes: #583103).
  * debian/renaissance.7: Typo fix.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 05 Jun 2010 10:39:30 +0300

renaissance (0.9.0-3) unstable; urgency=low

  * debian/control (Maintainer, Uploaders): Take under the umbrella of the
    GNUstep team.
    (Build-Depends): Bump debhelper to >= 7.  Remove libgnustep-base-dev.
    Add quilt.
    (Standards-Version): Compliant to 3.8.4 as of this release.
    (Homepage, Vcs-Arch): New fields.
    (Section): Change to `gnustep'.
    (renaissance): Kill package; useless.
    (renaissance-doc): New; split documentation as it is largish.
    (Depends): Add ${gnustep:Depends} and libgnustep-gui-dev for the -dev
    package.
    (Replaces, Conflicts, Suggests): Adjust.
  * debian/compat: Set to 7.
  * debian/rules: Include patchsys-quilt.mk.  Install the documentation
    and examples in renaissance-doc.
    (LDFLAGS, messages): Define and use.
    (DEVDEST): Rename as...
    (DOCDEST): ...for consistency.
  * debian/librenaissance0-dev.doc-base.renaissance-manual:
  * debian/librenaissance0-dev.doc-base.renaissance-tutorial: Rename,

