=== debian/control ===
Source: renaissance
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 gnustep-make (>= 2.9.3-2),
 libgnustep-gui-dev (>= 0.31.1-9),
Build-Depends-Indep:
 latex2html <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://gnustep.org
Vcs-Git: https://salsa.debian.org/gnustep-team/renaissance.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/renaissance

Package: librenaissance0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GNUstep GUI Framework - library files
 Renaissance is a GNUstep development framework which runs on top of
 the GNUstep libraries.  It also works on top of the Apple Mac OS X
 Cocoa libraries, providing an opaque layer to write portable
 applications.

Package: librenaissance-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgnustep-gui-dev,
 librenaissance0 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 renaissance-dev-tools,
 renaissance-doc,
Breaks:
 librenaissance0-dev (<< 0.9.0-6),
Replaces:
 librenaissance0-dev (<< 0.9.0-6),
Description: GNUstep GUI Framework - development files
 Renaissance is a GNUstep development framework which runs on top of
 the GNUstep libraries.  It also works on top of the Apple Mac OS X
 Cocoa libraries, providing an opaque layer to write portable
 applications.
 .
 GNUstep Renaissance allows you to describe your user interface in simple
 and intuitive XML files, using an open, standard format describing the
 logic of the interface.  At run-time, GNUstep Renaissance will then
 generate the user interfaces (using the native host OpenStep-like libraries)
 by reading the XML files.  The connections between the objects created
 from the XML files, and the other objects in the application are done
 via outlets (as traditionally in OpenStep); a new quick and intuitive
 syntax has been developed to make creating outlets as easy as possible.

Package: librenaissance0-dev
Section: oldlibs
Architecture: all
Depends:
 librenaissance-dev,
 ${misc:Depends},
Description: GNUstep GUI Framework - transitional package
 Renaissance is a GNUstep development framework which runs on top of
 the GNUstep libraries.
 .
 This is an empty transitional package which can be safely removed.

Package: renaissance-dev-tools
Section: devel
Architecture: any
Depends:
 librenaissance0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 librenaissance-dev,
Breaks:
 librenaissance0-dev (<< 0.9.0-6),
Replaces:
 librenaissance0-dev (<< 0.9.0-6),
Description: GNUstep GUI Framework - development tools (applications)
 Renaissance is a GNUstep development framework which runs on top of
 the GNUstep libraries.
 .
 GNUstep Renaissance allows you to describe your user interface in simple
 and intuitive XML files, using an open, standard format describing the
 logic of the interface.  At run-time, GNUstep Renaissance will then
 generate the user interfaces (using the native host OpenStep-like libraries)
 by reading the XML files.  The connections between the objects created
 from the XML files, and the other objects in the application are done
 via outlets (as traditionally in OpenStep); a new quick and intuitive
 syntax has been developed to make creating outlets as easy as possible.
 .
 This package contains the GSMarkupBrowser application which allows
 one to visualize the GUI of a ".gsmarkup" file and the
 GSMarkupLocalizableStrings application which extracts and reports
 localizable strings contained in a ".gsmarkup" file.

Package: renaissance-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Recommends:
 librenaissance-dev,
 w3m | www-browser,
Description: GNUstep GUI Framework - documentation
 Renaissance is a GNUstep development framework which runs on top of
 the GNUstep libraries.
 .
 This package include the Renaissance manual, tutorial and various
 examples.
