=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Upstream documentation uses causes unreproducible builds:
# https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
include /usr/share/dpkg/pkg-info.mk
export FORCE_SOURCE_DATE := 1

doc := usr/share/doc
d_doc := debian/tmp/$(doc)

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build -- $(optim) $(verbose) \
	  $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_build-indep:
ifdef docs
	dh_auto_build -- -C Documentation $(verbose)
endif

override_dh_auto_install-indep:
ifdef docs
	dh_auto_install -- -C Documentation/Tutorials \
	  GNUSTEP_SYSTEM_DOC=$(doc)/html/tutorial
	mv $(d_doc)/html/tutorial/*.ps $(d_doc)
	dh_auto_install -- -C Documentation SUBPROJECTS= \
	  GNUSTEP_SYSTEM_DOC=$(doc)/html/manual
	mv $(d_doc)/html/manual/*.ps $(d_doc)
endif

execute_after_dh_install-arch:
	find debian/renaissance-dev-tools$(GNUSTEP_SYSTEM_APPS) \
	  -name \*.desktop -delete

override_dh_auto_clean-indep:
	dh_auto_clean -- -C Documentation

override_dh_installexamples:
	dh_installexamples --exclude=.cvsignore

execute_before_dh_link:
	gsdh_gnustep
